#
# Conditional build:
%bcond_without	gtk	# without gtk support
%bcond_without	qt	# without qt support
%bcond_without	gadgets	# without gadgets

%define 	rev	r1084

# use this to get latest rev:
# svn export http://google-gadgets-for-linux.googlecode.com/svn/trunk/ google-gadgets-for-linux
Summary:	Google Gadgets for Linux
Name:		google-gadgets
Version:	0.11.2
Release:	8
License:	Apache License v2.0
Group:		X11/Applications
#Source0:	%{name}-for-linux-%{version}-%{rev}.tar.bz2
Source0:	http://google-gadgets-for-linux.googlecode.com/files/%{name}-for-linux-%{version}.tar.bz2
# Source0-md5:	279305553bcbf74f3e3615f6abc36a5e
Source1:	%{name}-for-linux-gtk.desktop
Source2:	%{name}-for-linux-qt.desktop
Patch0:		%{name}-for-linux-cmake.patch
Patch1:		%{name}-for-linux-link_with_qtnetwork.patch
Patch2:		%{name}-for-linux-js.patch
Patch3:		gcc-4.7.patch
Patch4:		glib-2.32.patch
Patch5:		nm09.patch
Patch6:		nm-mobile-devtypes.patch
URL:		http://code.google.com/p/google-gadgets-for-linux/
BuildRequires:	NetworkManager-devel >= 0.6.5
%if %{with qt}
BuildRequires:	QtCore-devel >= 4.4.3
BuildRequires:	QtNetwork-devel >= 4.4.3
BuildRequires:	QtScript-devel >= 4.4.3
BuildRequires:	QtWebKit-devel >= 4.4.3
%endif
BuildRequires:	autoconf
BuildRequires:	automake
%if %{with gtk}
BuildRequires:	cairo-devel >= 1.2.0
BuildRequires:	gtk+2-devel >= 2:2.10.0
BuildRequires:	startup-notification-devel
%endif
BuildRequires:	curl-devel >= 7.18.2
BuildRequires:	dbus-devel >= 1.0.2
BuildRequires:	flex
BuildRequires:	gstreamer-plugins-base-devel >= 0.10.0
BuildRequires:	gtk-webkit-devel
BuildRequires:	libltdl-devel
BuildRequires:	librsvg-devel
BuildRequires:	libtool >= 2:1.5.22
BuildRequires:	libxml2-devel >= 1:2.4.0
BuildRequires:	pkgconfig
BuildRequires:	qt4-build
BuildRequires:	zip
BuildRequires:	zlib-devel >= 1.2.0
Requires:	libggadget = %{version}-%{release}
Provides:	google-gadgets-for-linux-gadgets = %{version}
Obsoletes:	google-gadgets-for-linux-gadgets
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Google Gadgets for Linux provides a platform for running desktop
gadgets under Linux, catering to the unique needs of Linux users. It's
compatible with the gadgets written for Google Desktop for Windows as
well as the Universal Gadgets on iGoogle.

%package -n libggadget
Summary:	Google Gadgets main libraries
Group:		Libraries
Requires:	dbus >= 1.0.21G
Requires:	libltdl
Obsoletes:	google-gadgets-for-linux

%description -n libggadget
This package contains the main Google Gadgets libraries, it is
required by both the GTK+ and QT versions of Google Gadgets.

%package -n libggadget-devel
Summary:	Google Gadgets main development files
Group:		Development/Libraries
Requires:	dbus-devel >= 1.0.2
Requires:	libggadget = %{version}-%{release}

%description -n libggadget-devel
This package contains the development files assoicated with
libggadget, it is needed to write programs that utilise libggadget.

%description -n libggadget-devel -l pl.UTF-8
Pliki nagłówkowe biblioteki google-gadgets.

%package -n libggadget-gtk
Summary:	Google Gadgets GTK+ library
Group:		Libraries
Requires:	cairo >= 1.2.0
Requires:	gtk+2 >= 2:2.10.0
Requires:	libggadget = %{version}-%{release}
Requires:	librsvg >= 1:2.18.0

%description -n libggadget-gtk
This package contains the GTK+ Google Gadgets library, it is required
to run the GTK+ version of Google Gadgets.

%package -n libggadget-gtk-devel
Summary:	Google Gadgets GTK+ development files
Group:		Development/Libraries
Requires:	cairo-devel >= 1.2.0
Requires:	gtk+2-devel >= 2:2.10.0
Requires:	libggadget-devel = %{version}-%{release}
Requires:	libggadget-gtk = %{version}-%{release}
Requires:	librsvg-devel >= 1:2.18.0

%description -n libggadget-gtk-devel
This package contains the development files assoicated with
libggadget-gtk, it is needed to write GTK+ programs that utilise
libggadget.

%package -n libggadget-qt
Summary:	Google Gadgets QT library
Group:		Libraries
Requires:	QtWebKit >= 4.4.0
Requires:	libggadget = %{version}-%{release}

%description -n libggadget-qt
This package contains the QT Google Gadgets library, it is required to
run the QT version of Google Gadgets.

%package -n libggadget-qt-devel
Summary:	Google Gadgets QT development files
Group:		Development/Libraries
Requires:	QtWebKit-devel >= 4.4.0
Requires:	libggadget-devel = %{version}-%{release}
Requires:	libggadget-qt = %{version}-%{release}

%description -n libggadget-qt-devel
This package contains the development files assoicated with
libggadget-qt, it is needed to write QT programs that utilise
libggadget.

%package gtk
Summary:	GTK+ Version of Google Gadgets
Group:		X11/Applications
Requires:	google-gadgets = %{version}-%{release}
Requires:	google-gadgets-gst = %{version}-%{release}
Requires:	libggadget-gtk = %{version}-%{release}
Obsoletes:	google-gadgets-for-linux-gtk

%description gtk
Google Gadgets for Linux provides a platform for running desktop
gadgets under Linux, catering to the unique needs of Linux users. It's
compatible with the gadgets written for Google Desktop for Windows as
well as the Universal Gadgets on iGoogle.

This package includes the GTK+ version.

%package qt
Summary:	QT Version of Google Gadgets
Group:		X11/Applications
Requires:	google-gadgets = %{version}-%{release}
Requires:	google-gadgets-gst = %{version}
Requires:	libggadget-qt = %{version}-%{release}
Obsoletes:	google-gadgets-for-linux-qt

%description qt
Google Gadgets for Linux provides a platform for running desktop
gadgets under Linux, catering to the unique needs of Linux users. It's
compatible with the gadgets written for Google Desktop for Windows as
well as the Universal Gadgets on iGoogle.

This package includes the QT version.

%package gst
Summary:	GStreamer modules for Google Gadgets
Group:		X11/Applications
Requires:	gstreamer-plugins-base >= 0.10.6
Requires:	libggadget = %{version}-%{release}

%description gst
Google Gadgets for Linux provides a platform for running desktop
gadgets under Linux, catering to the unique needs of Linux users. It's
compatible with the gadgets written for Google Desktop for Windows as
well as the Universal Gadgets on iGoogle.

This package includes the GStreamer modules.

%prep
%setup -q -n %{name}-for-linux-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build
install -d libltdl
%{__libtoolize}
%{__aclocal} -I autotools
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-ltdl-install \
	--disable-static \
	--disable-werror \
	--with-oem-brand=pld-linux \
	--with-browser-plugins-dir=%{_libdir}/browser-plugins \
	--disable-gtkmoz-browser-element \
	--disable-smjs-script-runtime

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

%{__make} -j1 install \
	DESTDIR=$RPM_BUILD_ROOT

# desync with cmake/ac makefiles
mv $RPM_BUILD_ROOT%{_datadir}/mime/packages/{00-,}google-gadgets.xml
# desktop files
install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}/ggl-gtk.desktop
install %{SOURCE2} $RPM_BUILD_ROOT%{_desktopdir}/ggl-qt.desktop

rm -f $RPM_BUILD_ROOT%{_libdir}/google-gadgets/modules/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -n libggadget -p /sbin/ldconfig
%postun -n libggadget -p /sbin/ldconfig

%post -n libggadget-gtk -p /sbin/ldconfig
%postun -n libggadget-gtk -p /sbin/ldconfig

%post -n libggadget-qt -p /sbin/ldconfig
%postun -n libggadget-qt -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS README NEWS
%dir %{_libdir}/google-gadgets
%dir %{_libdir}/google-gadgets/modules
%attr(755,root,root) %{_libdir}/google-gadgets/modules/analytics-usage-collector.so
%attr(755,root,root) %{_libdir}/google-gadgets/modules/curl-xml-http-request.so
%attr(755,root,root) %{_libdir}/google-gadgets/modules/dbus-script-class.so
%attr(755,root,root) %{_libdir}/google-gadgets/modules/default-framework.so
%attr(755,root,root) %{_libdir}/google-gadgets/modules/default-options.so
%attr(755,root,root) %{_libdir}/google-gadgets/modules/google-gadget-manager.so
%attr(755,root,root) %{_libdir}/google-gadgets/modules/libxml2-xml-parser.so
%attr(755,root,root) %{_libdir}/google-gadgets/modules/linux-system-framework.so
%attr(755,root,root) %{_libdir}/google-gadgets/modules/html-flash-element.so
%attr(755,root,root) %{_libdir}/google-gadgets/modules/soup-xml-http-request.so
%attr(755,root,root) %{_libdir}/google-gadgets/modules/webkit-script-runtime.so
%dir %{_datadir}/google-gadgets
%{_datadir}/google-gadgets/*.gg
%{_datadir}/mime/packages/google-gadgets.xml
%{_iconsdir}/*/*/*/*.png
%{_pixmapsdir}/google-gadgets.png

%files -n libggadget
%defattr(644,root,root,755)
%attr(755,root,root) %ghost %{_libdir}/libggadget-1.0.so.0
%attr(755,root,root) %{_libdir}/libggadget-1.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libggadget-dbus-1.0.so.0
%attr(755,root,root) %{_libdir}/libggadget-dbus-1.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libggadget-js-1.0.so.0
%attr(755,root,root) %{_libdir}/libggadget-js-1.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libggadget-npapi-1.0.so.0
%attr(755,root,root) %{_libdir}/libggadget-npapi-1.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libggadget-xdg-1.0.so.0
%attr(755,root,root) %{_libdir}/libggadget-xdg-1.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libggadget-webkitjs-1.0.so.0
%attr(755,root,root) %{_libdir}/libggadget-webkitjs-1.0.so.*.*.*

%files -n libggadget-devel
%defattr(644,root,root,755)
%dir %{_includedir}/google-gadgets
%dir %{_includedir}/google-gadgets/ggadget
%dir %{_includedir}/google-gadgets/ggadget/dbus
%dir %{_includedir}/google-gadgets/ggadget/js
%dir %{_includedir}/google-gadgets/ggadget/xdg
%dir %{_includedir}/google-gadgets/ggadget/npapi
%{_includedir}/google-gadgets/ggadget/*.h
%{_includedir}/google-gadgets/ggadget/dbus/*.h
%{_includedir}/google-gadgets/ggadget/js/*.h
%{_includedir}/google-gadgets/ggadget/xdg/*.h
%{_includedir}/google-gadgets/ggadget/npapi/*.h
%dir %{_libdir}/google-gadgets/include
%dir %{_libdir}/google-gadgets/include/ggadget
%{_libdir}/google-gadgets/include/ggadget/sysdeps.h
%{_libdir}/libggadget-1.0*.so
%{_libdir}/libggadget-dbus-1.0*.so
%{_libdir}/libggadget-js-1.0*.so
%{_libdir}/libggadget-xdg-1.0*.so
%{_libdir}/libggadget-npapi-1.0*.so
%{_libdir}/libggadget-webkitjs-1.0*.so
%if 0
%{_libdir}/libggadget-1.0*.la
%{_libdir}/libggadget-dbus-1.0*.la
%{_libdir}/libggadget-js-1.0*.la
%{_libdir}/libggadget-xdg-1.0*.la
%{_libdir}/libggadget-npapi-1.0*.la
%endif
%{_pkgconfigdir}/libggadget-1.0.pc
%{_pkgconfigdir}/libggadget-dbus-1.0.pc
%{_pkgconfigdir}/libggadget-js-1.0.pc
%{_pkgconfigdir}/libggadget-xdg-1.0.pc
%{_pkgconfigdir}/libggadget-npapi-1.0.pc

%files -n libggadget-gtk
%defattr(644,root,root,755)
%attr(755,root,root) %ghost %{_libdir}/libggadget-gtk-1.0.so.0
%attr(755,root,root) %{_libdir}/libggadget-gtk-1.0.so.*.*.*

%files -n libggadget-gtk-devel
%defattr(644,root,root,755)
%dir %{_includedir}/google-gadgets/ggadget/gtk
%{_includedir}/google-gadgets/ggadget/gtk/*.h
%{_libdir}/libggadget-gtk-1.0*.so
#%{_libdir}/libggadget-gtk-1.0*.la
%{_pkgconfigdir}/libggadget-gtk-1.0.pc

%files -n libggadget-qt
%defattr(644,root,root,755)
%attr(755,root,root) %ghost %{_libdir}/libggadget-qt-1.0.so.0
%attr(755,root,root) %{_libdir}/libggadget-qt-1.0.so.*.*.*

%files -n libggadget-qt-devel
%defattr(644,root,root,755)
%dir %{_includedir}/google-gadgets/ggadget/qt
%{_includedir}/google-gadgets/ggadget/qt/*.h
%{_libdir}/libggadget-qt-1.0*.so
#%{_libdir}/libggadget-qt-1.0*.la
%{_pkgconfigdir}/libggadget-qt-1.0.pc

%files gtk
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/ggl-gtk
%attr(755,root,root) %{_libdir}/google-gadgets/modules/gtk-edit-element.so
%attr(755,root,root) %{_libdir}/google-gadgets/modules/gtk-flash-element.so
%attr(755,root,root) %{_libdir}/google-gadgets/modules/gtk-system-framework.so
%attr(755,root,root) %{_libdir}/google-gadgets/modules/gtkwebkit-browser-element.so
%{_desktopdir}/ggl-gtk.desktop
%{_desktopdir}/ggl-designer.desktop

%files qt
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/ggl-qt
%attr(755,root,root) %{_libdir}/google-gadgets/modules/qt-edit-element.so
%attr(755,root,root) %{_libdir}/google-gadgets/modules/qt-script-runtime.so
%attr(755,root,root) %{_libdir}/google-gadgets/modules/qt-system-framework.so
%attr(755,root,root) %{_libdir}/google-gadgets/modules/qt-xml-http-request.so
%attr(755,root,root) %{_libdir}/google-gadgets/modules/qtwebkit-browser-element.so
%{_desktopdir}/ggl-qt.desktop

%files gst
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/google-gadgets/modules/gst-audio-framework.so
%attr(755,root,root) %{_libdir}/google-gadgets/modules/gst-video-element.so
%changelog
* Thu Aug 30 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/google-gadgets.git;a=log;h=master

* Thu Aug 30 2012 Jan Rękorajski <baggins@pld-linux.org> de15430
Drop XUL support, as it doesn't build since xulrunner 4.0 (15.0 is current)
Fix building with gcc 4.7 and glib2 2.32+
Update to NetworkManager 0.9 API

* Wed Aug 29 2012 Jan Rękorajski <baggins@pld-linux.org> 0bb7842
- release 7 (by relup.sh)

* Wed Aug 29 2012 Jan Rękorajski <baggins@pld-linux.org> 2d95624
- release 6 (by relup.sh)

* Wed Aug 29 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 4583c61
- release 5 (by relup.sh)

* Mon Jul 09 2012 Marcin Krol <hawk@tld-linux.org> b5b139c
- release 4

* Thu Feb 18 2010 sparky <sparky@pld-linux.org> 2c4e1c1
- BR: gtk-webkit-devel

* Wed Feb 17 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 37f11fb
- release 3

* Wed Jan 27 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> dd80b09
- rel2

* Wed Jan 27 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> e91d3d0
- one more lib

* Wed Jan 27 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> c92d1cf
- up to 0.11.2

* Tue Sep 15 2009 Robert Tomasik <rotom@pld-linux.org> 7a74b0d
- up to 0.11.1

* Tue Jun 02 2009 amateja <amateja@pld-linux.org> f7cb86c
- updated to 0.11.0

* Tue Jun 02 2009 amateja <amateja@pld-linux.org> fb054bf
- adjusted for 0.11.0

* Sat Mar 07 2009 Karol Krenski <charles@pld-linux.org> d090801
- BR: qt4-build

* Sat Feb 21 2009 shadzik <shadzik@pld-linux.org> e9de809
- remove useless define

* Thu Jan 08 2009 shadzik <shadzik@pld-linux.org> 09b4fe7
- 0.10.5 stable

* Wed Jan 07 2009 Sławomir Paszkiewicz <paszczus@pld-linux.org> c655eb8
- updated to 0.10.5 r1084

* Sat Jan 03 2009 Robert Tomasik <rotom@pld-linux.org> fd039f2
- up to 0.10.5 r1074

* Thu Dec 18 2008 shadzik <shadzik@pld-linux.org> 3fb1f63
- removed TODO

* Thu Dec 18 2008 shadzik <shadzik@pld-linux.org> 6bbba97
- reverted back to autotools (better supported than cmake)
- BR: autoconf and automake
- compiles, runs... the whole "show" now on 64bit too

